Subject: ExtJS CSS-Reset

Description

The ExtJS Reset interferes with several styles in the backend, see the login form or the flicker of all texts during loading of the
backend. If seems like the -*-box-sizing: content-box; render most of the padding definitions unusable.

Related to http://forge.typo3.org/issues/32731

Related issues:
related to ExtJS 4 Migration - Bug # 31918: skinning ext js4
related to Core - Bug # 32896: Recycler: toolbar (ExtJS4)

related to Core - Bug # 32731: Login form: the clear icon is now outside of t...

related to Core - Bug # 32957: Fonts change during loading
related to Core - Bug # 32955: About module categorie icons
follows Core - Task # 61574: Fix t3skin box-sizing CSS bugs
Associated revisions

Revision 447a29d3 - 2014-09-14 16:35 - Felix Kopp

[BUGFIX] Reset ExtJS 3 CSS box-model

We have box-models in CSS. They define how the dimensions of
elements are calculated. Modern CSS is based on the border-box
outline definition where the outer dimensions are defined and

not the inner dimensions.

Bootstrap, Foundation and ExtJS 4 use the modern box sizing
"border-box". This is the default now.

ExtJS 3 CSS is based on the "old" content-box definition. Since
CMS still uses ExtJS 3 we need to move ExtJS elements back into

the former box-sizing mode.

This patch sets box-sizing back to the previous content-box for
input fields. Most dimensions in other widgets and elements are
calculated with the help of JS and not based on CSS itself. Thus

x-form-field should be enought for the start.

Resolves: #61574
http://forge.typo3.org/issues/32731

Related: #32954

Releases: master

Change-Id: lacbh9b0d3628940718ac5ba0099398320769f14ac
Reviewed-on: http://review.typo3.0rg/32760

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History

#1 - 2012-01-04 00:00 - Felix Kopp

ExtJS 4 uses the CSS3 box-sizing model 'border-box' as default.

Because of this inner padding does not expand the overall dimensions of elements any longer.

Ether (a) the "old" box-sizing must be used or (b) CSS definitions must be updated.

#2 - 2012-01-14 11:00 - Steffen Ritter
- Status changed from New to On Hold

#3 - 2012-01-14 11:02 - Steffen Ritter
- Category set to 1137

#4 - 2012-02-12 01:46 - Felix Kopp

Can be closed. ExtJS 4 will not come

#5 - 2012-02-12 15:12 - Thorsten Kahler
- Parent task set to #32201

This issue is "on hold" already, which is suitable for the moment.

#6 - 2013-04-06 01:42 - Felix Kopp

Is rejected. There should be a central stable solutions like normalize.css

#7 - 2013-05-05 22:45 - Wouter Wolters
- Status changed from On Hold to Closed

ExtJS 4 will not make it into the core
